﻿using System.ComponentModel.Composition;
using Microsoft.Research.Rin.DataModel;
using MicrosoftResearch.Rin.RinPlayerContracts;


namespace MicrosoftResearch.Rin.Samples
{
    [Export(typeof(IExperienceStreamFactory))]
    public class ExperienceStreamFactory : BaseV1ExperienceStreamFactory
    {
        public override IExperienceStream CreateInstance(ExperienceStreamData esData, IOrchestrator orchestrator)
        {
            return new ChessES(esData, orchestrator);
        }

        public override string ProviderTypeId
        {
            get { return "MicrosoftResearch.Rin.Samples.ChessES"; }
        }

    }
}
